#!/usr/bin/python
#
# File: client3.py

import pgdb
import string

######################################################################
def main( ):
    try:
        connection = pgdb.connect( database = "movies",
                                   user     = "bruce",
                                   password = "cows" )
    
    except StandardError, e:
        print str( e )
        exit

    cur = connection.cursor()

    try:
        cur.execute( "SELECT * FROM customers" )
        process_results( cur )

    except StandardError, e:
        print str( e )

    cur.close()
    connection.close()
    exit

######################################################################
def process_results( cur ):

    widths = []
    rows   = cur.fetchall()
    cols   = cur.description
    
    compute_widths( cur, widths, rows, cols )
    print_headers( cur, widths, cols )
    print_values( cur, widths, rows )

######################################################################
def compute_widths( cur, widths, rows, cols ):

    c = 0 
    
    for col in cols:
        widths.append( len( col[0] ))
        c = c + 1

    r = 0
    
    for row in rows:
        c = 0

        for col in row:
            if( len( str( col )) > widths[c] ):
                widths[c] = len( str( col ))
            c = c + 1
        r = r + 1

######################################################################
def print_headers( cur, widths, cols ):

    c = 0;
    
    for col in cols:
        print string.center( col[0], widths[c] ), 
        c = c + 1
    print

    c = 0;
    
    for col in cur.description:
        print '-' * widths[c], 
        c = c + 1
    print

######################################################################
def print_values( cur, widths, rows ):
    
    r = 0
    
    for row in rows:
        c = 0

        for col in row:
            print string.ljust( str(col), widths[c] ),
            c = c + 1
        r = r + 1
        print

                   
############################################################

main()
