#!/usr/bin/perl -W
#
#  Filename: client3b.pl
#
use strict;
use DBI;

my $dbh = DBI->connect( "dbi:Pg:", undef, undef, { PrintError => 1 } )
    or die "Can't connect to PostgreSQL: $DBI::errstr ($DBI::err)\n";

my $sth = $dbh->prepare( $ARGV[0] );

if( defined( $sth )) {
    if( $sth->execute()) {
	$sth->dump_results();
    }
}

$dbh->disconnect();


