--
-- compute_due_date.sql
--

CREATE FUNCTION compute_due_date(DATE) RETURNS DATE AS '
  DECLARE

    due_date	    DATE;
	rental_period   INTERVAL := ''7 days'';

  BEGIN
	
	due_date := $1 + rental_period;
	
	RETURN( due_date );

  END;
' LANGUAGE 'plpgsql'; 

-- compute_due_date.sql
--
CREATE FUNCTION compute_due_date(DATE, INTERVAL) RETURNS DATE AS '
  DECLARE
	rental_date	  ALIAS FOR $1;
	rental_period ALIAS FOR $2;
  BEGIN

	RETURN( rental_date + rental_period );

  END;
' LANGUAGE 'plpgsql';