/*
** File: get_dflts.c
*/

#include <stdio.h>
#include <libpq-fe.h>

int main( void )
{
  PQconninfoOption * d;
  PQconninfoOption * start;
/*
**  Get the default connection attributes
*/
  start = d = PQconndefaults( );

  while( d->keyword != NULL )
  {
    printf( "keyword  = %s\n", d->keyword  ? d->keyword  : "null" );
    printf( "envvar   = %s\n", d->envvar   ? d->envvar   : "null" );
    printf( "label    = %s\n", d->label    ? d->label    : "null" );
    printf( "compiled = %s\n", d->compiled ? d->compiled : "null" );
    printf( "val      = %s\n", d->val      ? d->val      : "null" );
    printf( "\n" );
    
    d++;
  }

/*
**  Free up the memory that lipq allocated on our behalf
*/

  PQconninfoFree( start );

  return( 0 );
}
