#!/usr/bin/perl -W
#
#  Filename: get_drivers.pl
#
use strict;
use DBI;

# Get the list of drivers from the DBI
#
@driver_names = DBI->available_drivers();

# Print the name of each driver
#
foreach my $driver ( @driver_names ) {
    print( "Driver: $driver\n" );
}
