--
-- my_factorial2.sql
--

CREATE FUNCTION my_factorial(INTEGER) RETURNS INTEGER AS '
  DECLARE
    arg INTEGER;
  BEGIN

    arg := $1;

    IF arg IS NULL OR arg < 0 THEN
	  BEGIN
        RAISE NOTICE ''Invalid Number'';
        RETURN NULL;
	  END;
    ELSE 
	  IF arg = 1 THEN
	    BEGIN
		  RETURN 1;
		END;
	  ELSE
	    DECLARE 
		  next_value INTEGER;
		BEGIN
		  next_value := my_factorial(arg - 1) * arg;
		  RETURN next_value;
		END;
	  END IF;
    END IF;
  END;
' LANGUAGE 'plpgsql'; 
