/* qt-sql.h */

class MyTable : public QTable
{
public:

    MyTable( QWidget * parent, const char * connect );

    PgDatabase * db;

    void buildTable( void );

};

class MyMain : public QWidget
{
  Q_OBJECT
public:
  MyMain( const char * connect );

public slots:
  void execute( void );
  void quit( void );

private:

// These are our user-interface components:
  QMultiLineEdit * edit;
  QStatusBar     * status;
  MyTable        * table;

};
