/* client1.c */

#include <sql.h>
#include <sqlext.h>
#include <sqltypes.h>
#include <stdio.h>

typedef enum { FALSE, TRUE } bool;

int main( int argc, char * argv[] )
{
  SQLRETURN   result;
  SQLHENV     envHandle;
  SQLHDBC     conHandle;

  SQLAllocHandle( SQL_HANDLE_ENV, 
		  SQL_NULL_HANDLE, 
		  &envHandle );

  SQLSetEnvAttr( envHandle, 
		 SQL_ATTR_ODBC_VERSION, 
		 (SQLPOINTER)SQL_OV_ODBC3, 
		 0 );  

  SQLAllocHandle( SQL_HANDLE_DBC, 
		  envHandle, 
		  &conHandle );

  result = SQLConnect( conHandle, 
		       argv[1], SQL_NTS,
		       argv[2], SQL_NTS,
		       argv[3], SQL_NTS );
			      

  if( result == SQL_SUCCESS || result == SQL_SUCCESS_WITH_INFO )
  {
    printf( "connection ok...\n" );
    return( 0 );
  }
  else
  {
    printf( "connection failed...\n" );
    return( -1 );
  }
}
