//
// File: client2a.java
//

import java.sql.*;
import org.postgresql.util.PSQLException;

public class client2a
{
  public static void main( String args[] )
  {
    String  driver = "org.postgresql.Driver";
    
    try 
    {
      Class.forName( driver );
    }
    catch( ClassNotFoundException e )
    {
      System.err.println( "Can't load driver " + e.getMessage());
      System.exit( 1 );
    }
    catch( Exception e )
    {
      System.err.println( "Can't load driver " + e.toString());
      System.exit( 1 );
    }

    try 
    {
      Connection con = DriverManager.getConnection( args[0] );

      System.out.println( "Connection attempt successful" );

      con.close();

    }
    catch( PSQLException e)
    {
      System.err.println( "Connection failed(PSQLException)" );
      System.err.println( e.getMessage());
    }
    catch( SQLException e )
    {
      System.err.println( "Connection failed(SQLException)" );
      System.err.println( e.getMessage());
    }
  }
}
