/* client3a.c */

#include <stdio.h>
#include <libpq-fe.h>
#include <libpgeasy.h>

int main( int argc, char * argv[] )
{
  char      tape_id[8+1];
  char      title[80+1];
  char      duration[80+1];
  PGconn *  connection;

  connection = connectdb( argv[1] ? argv[1] : "" );

  on_error_stop( );

  doquery( "SELECT * FROM tapes" );
  
  while( fetch( tape_id, title, duration ) != END_OF_TUPLES )
  {
    printf( "%s - %-40s - %s\n", tape_id, title, duration );
  }

  disconnectdb();

}
