#!/usr/bin/perl -W
#
#  Filename: client3a.pl
#

use strict;
use DBI;

my $dbh = DBI->connect( "dbi:Pg:", undef, undef, { PrintError => 0 } )
    or die "Can't connect to PostgreSQL: $DBI::errstr ($DBI::err)\n";

my $rows = $dbh->do( $ARGV[0] );

if( !defined( $rows )) {
    print( $dbh->errstr."(".$dbh->err().")\n" );
}
else {
    print( "Ok: $rows rows affected\n" );
}

$dbh->disconnect();


