/* client3b.c */

#include <stdio.h>
#include <libpq-fe.h>
#include <libpgeasy.h>

int main( int argc, char * argv[] )
{
  int		customer_id;
  char      customer_name[80+1];
  PGconn *  connection;

  connection = connectdb( argv[1] ? argv[1] : "" );

  on_error_stop( );

  doquery( "BEGIN WORK" );
  doquery( "DECLARE customer_list BINARY CURSOR FOR "
           "SELECT id, customer_name FROM customers" );

  
  doquery( "FETCH ALL FROM customer_list" );
  
  while( fetch( &customer_id, &customer_name[0] ) != END_OF_TUPLES )
  {
    printf( "%d: %-40s\n", customer_id, customer_name );
  }

  doquery( "COMMIT" );

  disconnectdb();

}
