--
-- Filename: get_encodings.sql
--

CREATE OR REPLACE FUNCTION get_encodings() RETURNS INTEGER AS 
'
  DECLARE
	enc	INTEGER := 0;
	name	VARCHAR;
  BEGIN
    CREATE TEMP TABLE encodings ( enc_code int, enc_name text );
	LOOP
	    SELECT INTO name pg_encoding_to_char( enc );

	    IF( name = '''' ) THEN
	        EXIT;
	    ELSE
	        INSERT INTO encodings VALUES( enc, name );
	    END IF;

	    enc := enc + 1;
	END LOOP;

	RETURN enc;
  END;

' LANGUAGE 'plpgsql';
