<?php 

  // Filename: my_table_a.inc

  class my_table 
  { 
    var $result;
    var $columns;

    function my_table( $db_handle, $command )
    {
      $this->result  = pg_query( $db_handle, $command );
      $this->columns = pg_num_fields( $this->result );
      $row_count     = pg_num_rows( $this->result );

      $this->start_table();

      for( $row = 0; $row < $row_count; $row++ )
	  $this->append_row( $this->result, $row );
    }

    function start_table()
    {
      echo '<TABLE CELLPADDING="2" CELLSPACING="0" BORDER=1>';
      echo "\n";
    }

    function finish() 
    { 
      print( "</TABLE>\n" ); 

      pg_free_result( $this->result );
    } 

    function append_row( $result, $row )
    {
      echo( "<TR>\n" );

      $values = pg_fetch_row( $result, $row );

      for( $col = 0; $col < count( $values ); $col++ )
      {
	echo "  <TD>";
	echo $values[$col];
	echo "</TD>\n";
      }

      echo( "</TR>\n" );
    }
  }

?>
