/* qt-sql.h */

class MyTable : public QTable
{
public:

    MyTable( QWidget * parent, const char * connect );

    SQLHDBC      db;
    SQLHENV      env;

    void buildTable( SQLHSTMT stmt );
    void displayErrors( SQLSMALLINT type, SQLHANDLE handle );

};

class MyMain : public QWidget
{
  Q_OBJECT
public:
  MyMain( const char * connect );

public slots:
  void execute( void );

private:

// These are our user-interface components:
  QMultiLineEdit * edit;
  QStatusBar     * status;
  MyTable        * table;

};
